Debian Bug report logs - #679551
ITP: compton -- a compositor for X

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: nodiscc <nodiscc@gmail.com>

Date: Fri, 29 Jun 2012 18:09:04 UTC

Owned by: Scott Leggett <scott@sl.id.au>

Severity: wishlist

Fixed in version compton/0.1~beta1-1

Done: Scott Leggett <scott@sl.id.au>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, nodiscc@gmail.com, wnpp@debian.org:
Bug#679551; Package wnpp. (Fri, 29 Jun 2012 18:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to nodiscc <nodiscc@gmail.com>:
New Bug report received and forwarded. Copy sent to nodiscc@gmail.com, wnpp@debian.org. (Fri, 29 Jun 2012 18:09:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: nodiscc <nodiscc@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: compton -- a compositor for X
Date: Fri, 29 Jun 2012 20:07:04 +0200
Package: wnpp
Severity: wishlist

* Package name    : compton
  Version         : 20120628
  Upstream Author : Christopher Jeffrey
* URL             : https://github.com/chjj/compton/
* License         : MIT
  Programming Lang: C
  Description     : a compositor for X

Compton is a compositor for X, and a fork of xcompmgr-dana. Changes from xcompmgr:
 * inactive window transparency
 * inactive window transparency
 * inactive window transparency
 * shadows are now enabled for argb windows, e.g. terminals with transparency.
 * removed serverside shadows (and simple compositing) to clean the code, the
 only option that remains is clientside shadows
 * fixed a segfault when opening certain window types
 * fixed a memory leak caused by not freeing up shadows

The above features give compton a feature set similar to the xfce compositor.
Compton has only been tested with openbox so far, but frame transparency
should work with any window manager that properly sets _NET_FRAME_EXTENTS.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#679551; Package wnpp. (Thu, 09 Aug 2012 10:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir K <pzs-fs@yandex.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 09 Aug 2012 10:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 679551@bugs.debian.org (full text, mbox):

From: Vladimir K <pzs-fs@yandex.ru>
To: 679551@bugs.debian.org
Subject: I support this
Date: Thu, 09 Aug 2012 13:50:39 +0400
It would be a great and compatible replacement for old and buggy xcompmgr. Currently testing it on wheezy, good results so far. No memory leaks or shadow artifacts like it was with xcompmgr.



Owner recorded as Scott Leggett <scott@sl.id.au>. Request was from Scott Leggett <scott@sl.id.au> to control@bugs.debian.org. (Fri, 02 Nov 2012 09:18:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: compton -- a compositor for X' from 'RFP: compton -- a compositor for X' Request was from Scott Leggett <scott@sl.id.au> to control@bugs.debian.org. (Fri, 02 Nov 2012 09:18:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 679551: 692263 Request was from Scott Leggett <scott@sl.id.au> to control@bugs.debian.org. (Sun, 04 Nov 2012 11:57:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 679551: 701693 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sun, 10 Mar 2013 16:36:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Scott Leggett <scott@sl.id.au>:
Bug#679551; Package wnpp. (Sun, 30 Jun 2013 05:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir K <pzs-fs@yandex.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Scott Leggett <scott@sl.id.au>. (Sun, 30 Jun 2013 05:45:04 GMT) Full text and rfc822 format available.

Message #23 received at 679551@bugs.debian.org (full text, mbox):

From: Vladimir K <pzs-fs@yandex.ru>
To: 679551@bugs.debian.org
Subject: Testing
Date: Sun, 30 Jun 2013 09:43:10 +0400
Just wanted to inform: I've been using compton, including 0.0.1+git-85e7d18-2013-04-21-1, in everyday usage (just shadows and transparency without blur or anything fancy) with uptimes up to 40 days. No problems were detected whatsoever.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 20:09:10 GMT) Full text and rfc822 format available.

Reply sent to Scott Leggett <scott@sl.id.au>:
You have taken responsibility. (Tue, 03 Sep 2013 04:03:12 GMT) Full text and rfc822 format available.

Notification sent to nodiscc <nodiscc@gmail.com>:
Bug acknowledged by developer. (Tue, 03 Sep 2013 04:03:12 GMT) Full text and rfc822 format available.

Message #30 received at 679551-close@bugs.debian.org (full text, mbox):

From: Scott Leggett <scott@sl.id.au>
To: 679551-close@bugs.debian.org
Subject: Bug#679551: fixed in compton 0.1~beta1-1
Date: Tue, 03 Sep 2013 04:00:13 +0000
Source: compton
Source-Version: 0.1~beta1-1

We believe that the bug you reported is fixed in the latest version of
compton, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679551@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Leggett <scott@sl.id.au> (supplier of updated compton package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 21 Aug 2013 20:13:37 +1000
Source: compton
Binary: compton
Architecture: source amd64
Version: 0.1~beta1-1
Distribution: unstable
Urgency: low
Maintainer: Scott Leggett <scott@sl.id.au>
Changed-By: Scott Leggett <scott@sl.id.au>
Description: 
 compton    - compositor for X11, based on xcompmgr
Closes: 679551
Changes: 
 compton (0.1~beta1-1) unstable; urgency=low
 .
   * Initial release (Closes: #679551)
Checksums-Sha1: 
 9e4761dcb1474acdbe29be5aecfb3ab08d9bb56a 2092 compton_0.1~beta1-1.dsc
 ca8c7f08d1d5852471ff3cc0c47f3e98f586febf 113748 compton_0.1~beta1.orig.tar.xz
 2e919a0570946698f726eb7a4ab41ea3fd51ca5e 4054 compton_0.1~beta1-1.debian.tar.gz
 32536e87cfa656415d4b6a76d98b6aee91ccfb0f 84088 compton_0.1~beta1-1_amd64.deb
Checksums-Sha256: 
 c9247b6d75df26926467a16244045b8f2090a91b8c095e6a3c49454e3e156a27 2092 compton_0.1~beta1-1.dsc
 a67af28cbf018e16459079649f9536957827cad23bcf50803361de25991b92a6 113748 compton_0.1~beta1.orig.tar.xz
 748927ed59381b97223fd92a8456cbf0dce3de8adad5e921f13f814971bb1387 4054 compton_0.1~beta1-1.debian.tar.gz
 86ffacac4c2513800dc3ab2b6e89ae3e12f4fd7c6635aeb4d1b5453c4bd399a4 84088 compton_0.1~beta1-1_amd64.deb
Files: 
 03d52479c1019f6edcdd415f01112520 2092 x11 extra compton_0.1~beta1-1.dsc
 126de4553b22ce2fed1e5426ba6bbaef 113748 x11 extra compton_0.1~beta1.orig.tar.xz
 eda5c9177c2b29a2756d76c8a1d2c468 4054 x11 extra compton_0.1~beta1-1.debian.tar.gz
 b197ef11cc7d24637c99581b36322089 84088 x11 extra compton_0.1~beta1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSFNWHAAoJEJWkL+g1NSX5i1wP/j5yiyxxTMNcBh/YRSztrIyG
79jfd+abMkGVEBQ3qp/zMXd8RnyOrq7cx7jAweQcry80E6KY8obOAlFAbr+g1dKu
brrKkH5NetYypxygON89/yRcQiXDhAO9NBnKbe2BkM+LYiXDdMRfo3coEN2kxBRu
6uGQ3+n93qfP2JdKLRBa0K2CEfu8pO+Zz1rgnuNPqHIieFugejnMPkGOoUYN8sYD
qJU4uhpysYrOivT1DQ0R4GI6zW5fxDV6BVp4Jepsw5nl8HVN0ZzSRxfI51DrA/qJ
VbqT9IykEatgEjaSAV62OF6rll1SnFIfwN8l0i7/dHBUWiCPsQ1rTTdpInrIcRqt
2twgpqgYe4FjfbRZuwFm7a53/5SO1FApt5GTJMN3eytpxjlhPQAjKul6Ju+JNhNg
2iOOsdp4PLmfXjXfLeN6kk9OUCqoGFd99wMkcAnOmzyqYLZf+Pjev9BWWNSI/cgs
qAhfnDM3Tk2KsPkwe3V75/B5Z0VBHmfdg85mnroraC/Q7al9uwNWil+meMIu0rZ2
G1ertXeBFkGuOL24Dv1gYCha98cBMSDzEafOQNxGG+pwDo0xZIA7wmbrMLM78aL4
4T9ZXGtZSawNZiycnCfgBlF03i4hPH2B2XemisRBfxCUR53PiZImEi/XOieezYYX
bFrjn3Okb11hqg9WdwSM
=rpL0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:39:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:55:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.